-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local hasSentMapData = false
local vehicleID = obj:getID()

local dist = 0
local fuelOld=1
local timer=0
local distconso = 0


local function onInit()

end

local function onReset()

    onInit()
end

local function updateGFX(dt)
	timer = timer + dt
	
	if timer > 0.25 then
		timer=0
		
		local dev = powertrain.getDevices()
		
		electrics.values.hotengine =  (electrics.values.oiltemp or 0)>120 or (electrics.values.watertemp or 0)> 120
		electrics.values.lowcoolant = dev['mainEngine']['thermals']['radiatorDamage'] > 0
		-- ['mainEngine']['thermals'] warningState.oilstarvation
	end

end


-- public interface
M.onInit    = onInit
M.onReset   = onReset
M.updateGFX = updateGFX

return M
